= breadcrumbs do |bc|
  - bc.with_endmatter do
    = link_to(icon('plus-circle'), new_ticket_path, class: 'text-success')

- path = {view: params[:view], filter: params[:filter]}
= v.tab_bar do |bar|
  - bar.with_tab url: tickets_path(path.merge(view: nil)),        label: 'All',      active: active(view: nil)
  - bar.with_tab url: tickets_path(path.merge(view: 'new')),      label: 'New',      active: active(view: 'new')
  - bar.with_tab url: tickets_path(path.merge(view: 'replied')),  label: 'Replied',  active: active(view: 'replied')
  - bar.with_tab url: tickets_path(path.merge(view: 'answered')), label: 'Answered', active: active(view: 'answered')
  - bar.with_tab url: tickets_path(path.merge(view: 'resolved')), label: 'Resolved', active: active(view: 'resolved')
  - bar.with_tab url: tickets_path(path.merge(view: 'rejected')), label: 'Rejected', active: active(view: 'rejected')
  - bar.with_endmatter do
    .btn-toolbar
      - if path[:filter] == 'mine'
        = v.link_button(url: tickets_path(path.merge(filter: nil)), label: "My Tickets", border: false, size: :sm, icon: 'check-square-trim')
      - else
        = v.link_button(url: tickets_path(path.merge(filter: 'mine')), label: "My Tickets", border: false, size: :sm, icon: 'square-trim')

.mt-3
  = paginate(@tickets)

%table.table.mt-3
  %tr
    %th ID
    %th State
    %th Admin
    %th User
    %th Subject
    -#%th Created
    -#%th Updated
  - if @tickets.empty?
    %tr
      %td(colspan=7) No Tickets
  - else
    - @tickets.each do |ticket|
      %tr
        %td= link_to ticket.code, ticket
        %td= ticket_state ticket, admin: current_user.admin?
        %td= ticket.admin&.username
        %td= ticket.user&.username
        %td= link_to ticket.subject, ticket
        -#%td= time_ago ticket.created_at
        -#%td= time_ago ticket.updated_at
